Пожалуйста, помогите мне с проблемой зависимостей во Flutter. Говорит, что сборка не удалась из-за чего-то, связанного с Apple Watch, но я не использую Apple Watch.

У меня возникла проблема при попытке создать приложение флаттера. Я использую VS Code и последние версии Flutter и Dart. Я думаю, что у меня проблема с зависимостями, но не уверен. У меня есть следующие зависимости в моем файле pubspec.yaml.

http: ^0.13.4 youtube_player_flutter: ^8.0.0 процент_индикатор: ^3.4.0 бесконечный: ^ 1.6.0 flutter_staggered_grid_view: ^0.6.1 прозрачное_изображение: аккордеон: ^2.2.3 лайк_кнопка: ^ 2.0.4 easy_firebase_auth: ^ 3.2.0 flutter_inappwebview: ^ 5.4.3+7 webview_flutter: ^ 3.0.4 firebase_core: ^ 1.6.0 cloud_firestore: ^ 2.5.1 url_launcher: ^ 6.1.2 геокодирование: ^2.0.4 sign_in_with_apple: ^3.3.0

Я сталкиваюсь с проблемой, когда делаю флаттер-билд. Я получаю следующие сообщения об ошибках:

2022-05-17 01:32:19.580 xcodebuild[26038:192413] Requested but did not find extension point with identifier
Xcode.IDEKit.ExtensionSentinelHostApplications for extension Xcode.DebuggerFoundation.AppExtensionHosts.watchOS of
plug-in com.apple.dt.IDEWatchSupportCore
2022-05-17 01:32:19.580 xcodebuild[26038:192413] Requested but did not find extension point with identifier
Xcode.IDEKit.ExtensionPointIdentifierToBundleIdentifier for extension
Xcode.DebuggerFoundation.AppExtensionToBundleIdentifierMap.watchOS of plug-in com.apple.dt.IDEWatchSupportCore
** BUILD FAILED **

Выход Xcode: ↳ Запись пакета результатов по пути: /var/folders/xp/fl30w5315b33hw_npc3wykb40000gn/T/flutter_tools.vcek1g/flutter_ios_build_temp_dirjbPPUe/temporary_ xcresult_bundle

/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/geocoding-2.0.4/ios/Classes/Extensions/CL
PlacemarkExtensions.m:22:18: warning: 'addressDictionary' is deprecated: first deprecated in iOS 11.0 - Use
@properties [-Wdeprecated-declarations]
        if (self.addressDictionary != nil) {
                 ^
In module 'CoreLocation' imported from
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/geocoding-2.0.4/ios/Classes/Extensions/CL
PlacemarkExtensions.h:10:
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS15.5.sdk/System/Libr
ary/Frameworks/CoreLocation.framework/Headers/CLPlacemark.h:73:63: note: 'addressDictionary' has been explicitly
marked deprecated here
@property (nonatomic, readonly, copy, nullable) NSDictionary *addressDictionary API_DEPRECATED("Use @properties",
macos(10.8, 10.13), ios(5.0, 11.0), watchos(1.0, 4.0));
                                                              ^
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/geocoding-2.0.4/ios/Classes/Extensions/CL
PlacemarkExtensions.m:23:29: warning: 'addressDictionary' is deprecated: first deprecated in iOS 11.0 - Use
@properties [-Wdeprecated-declarations]
            street = [[self addressDictionary] objectForKey:(NSString *)kABPersonAddressStreetKey];
                            ^
In module 'CoreLocation' imported from
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/geocoding-2.0.4/ios/Classes/Extensions/CL
PlacemarkExtensions.h:10:
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS15.5.sdk/System/Libr
ary/Frameworks/CoreLocation.framework/Headers/CLPlacemark.h:73:63: note: property 'addressDictionary' is declared
deprecated here
@property (nonatomic, readonly, copy, nullable) NSDictionary *addressDictionary API_DEPRECATED("Use @properties",
macos(10.8, 10.13), ios(5.0, 11.0), watchos(1.0, 4.0));
                                                              ^
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS15.5.sdk/System/Libr
ary/Frameworks/CoreLocation.framework/Headers/CLPlacemark.h:73:63: note: 'addressDictionary' has been explicitly
marked deprecated here
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/geocoding-2.0.4/ios/Classes/Extensions/CL
PlacemarkExtensions.m:23:73: warning: 'kABPersonAddressStreetKey' is deprecated: first deprecated in iOS 9.0 - use
CNPostalAddress.street [-Wdeprecated-declarations]
            street = [[self addressDictionary] objectForKey:(NSString *)kABPersonAddressStreetKey];
                                                                        ^
In module 'AddressBook' imported from
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/geocoding-2.0.4/ios/Classes/Extensions/CL
PlacemarkExtensions.m:8:
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS15.5.sdk/System/Libr
ary/Frameworks/AddressBook.framework/Headers/ABPerson.h:113:29: note: 'kABPersonAddressStreetKey' has been
explicitly marked deprecated here
AB_EXTERN const CFStringRef kABPersonAddressStreetKey AB_DEPRECATED("use CNPostalAddress.street");
                            ^
3 warnings generated.
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
Types/URLCredential.swift:14:25: warning: comparing non-optional value of type '[Any]' to 'nil' always returns
true
        if certificates != nil {
           ~~~~~~~~~~~~ ^  ~~~
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
InAppBrowser/InAppBrowserWebViewController.swift:561:13: warning: setter for 'statusBarStyle' was deprecated in
iOS 9.0: Use -[UIViewController preferredStatusBarStyle]
            UIApplication.shared.statusBarStyle = UIStatusBarStyle(rawValue: previousStatusBarStyle)!
            ^
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
Util.swift:86:25: warning: 'spotlightSuggestion' was deprecated in iOS 10.0: renamed to
'WKDataDetectorTypes.lookupSuggestion'
                return .spotlightSuggestion
                        ^
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
Util.swift:86:25: note: use 'WKDataDetectorTypes.lookupSuggestion' instead
                return .spotlightSuggestion
                        ^~~~~~~~~~~~~~~~~~~
                        WKDataDetectorTypes.lookupSuggestion
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
Util.swift:121:31: warning: 'spotlightSuggestion' was deprecated in iOS 10.0: renamed to
'WKDataDetectorTypes.lookupSuggestion'
            if type.contains(.spotlightSuggestion) {
                              ^
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
Util.swift:121:31: note: use 'WKDataDetectorTypes.lookupSuggestion' instead
            if type.contains(.spotlightSuggestion) {
                              ^~~~~~~~~~~~~~~~~~~
                              WKDataDetectorTypes.lookupSuggestion
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Classes/
Util.swift:216:21: warning: immutable value 'j' was never used; consider replacing with '_' or removing it
                for j in ipv6.count...8 {
                    ^
                    _
/* com.apple.ibtool.document.warnings */
/Users/gregoryew/flutter_apps/flutter/.pub-cache/hosted/pub.dartlang.org/flutter_inappwebview-5.4.3+7/ios/Storyboa
rds/WebView.storyboard:global: warning: This file is set to build for a version older than the deployment target.
Functionality may be limited. [9]
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:25:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/add_event.g.dart': No such file or directory
part 'animated_icons/data/add_event.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:26:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/arrow_menu.g.dart': No such file or directory
part 'animated_icons/data/arrow_menu.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:27:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/close_menu.g.dart': No such file or directory
part 'animated_icons/data/close_menu.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:28:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/ellipsis_search.g.dart': No such file or
directory
part 'animated_icons/data/ellipsis_search.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:29:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/event_add.g.dart': No such file or directory
part 'animated_icons/data/event_add.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:30:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/home_menu.g.dart': No such file or directory
part 'animated_icons/data/home_menu.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:31:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/list_view.g.dart': No such file or directory
part 'animated_icons/data/list_view.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:32:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/menu_arrow.g.dart': No such file or directory
part 'animated_icons/data/menu_arrow.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:33:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/menu_close.g.dart': No such file or directory
part 'animated_icons/data/menu_close.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:34:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/menu_home.g.dart': No such file or directory
part 'animated_icons/data/menu_home.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:35:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/pause_play.g.dart': No such file or directory
part 'animated_icons/data/pause_play.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:36:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/play_pause.g.dart': No such file or directory
part 'animated_icons/data/play_pause.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:37:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/search_ellipsis.g.dart': No such file or
directory
part 'animated_icons/data/search_ellipsis.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:38:6: Error: Error when reading
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/view_list.g.dart': No such file or directory
part 'animated_icons/data/view_list.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:25:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/add_event.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/add_event.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:26:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/arrow_menu.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/arrow_menu.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:27:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/close_menu.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/close_menu.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:28:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/ellipsis_search.g.dart' as a part, because it
has no 'part of' declaration.
part 'animated_icons/data/ellipsis_search.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:29:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/event_add.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/event_add.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:30:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/home_menu.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/home_menu.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:31:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/list_view.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/list_view.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:32:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/menu_arrow.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/menu_arrow.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:33:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/menu_close.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/menu_close.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:34:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/menu_home.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/menu_home.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:35:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/pause_play.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/pause_play.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:36:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/play_pause.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/play_pause.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:37:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/search_ellipsis.g.dart' as a part, because it
has no 'part of' declaration.
part 'animated_icons/data/search_ellipsis.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons.dart:38:6: Error: Can't use
'../../flutter/packages/flutter/lib/src/material/animated_icons/data/view_list.g.dart' as a part, because it has
no 'part of' declaration.
part 'animated_icons/data/view_list.g.dart';
     ^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:19:45: Error: Undefined
name '_$add_event'.
  static const AnimatedIconData add_event = _$add_event;
                                            ^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:22:46: Error: Undefined
name '_$arrow_menu'.
  static const AnimatedIconData arrow_menu = _$arrow_menu;
                                             ^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:25:46: Error: Undefined
name '_$close_menu'.
  static const AnimatedIconData close_menu = _$close_menu;
                                             ^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:28:51: Error: Undefined
name '_$ellipsis_search'.
  static const AnimatedIconData ellipsis_search = _$ellipsis_search;
                                                  ^^^^^^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:31:45: Error: Undefined
name '_$event_add'.
  static const AnimatedIconData event_add = _$event_add;
                                            ^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:34:45: Error: Undefined
name '_$home_menu'.
  static const AnimatedIconData home_menu = _$home_menu;
                                            ^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:37:45: Error: Undefined
name '_$list_view'.
  static const AnimatedIconData list_view = _$list_view;
                                            ^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:40:46: Error: Undefined
name '_$menu_arrow'.
  static const AnimatedIconData menu_arrow = _$menu_arrow;
                                             ^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:43:46: Error: Undefined
name '_$menu_close'.
  static const AnimatedIconData menu_close = _$menu_close;
                                             ^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:46:45: Error: Undefined
name '_$menu_home'.
  static const AnimatedIconData menu_home = _$menu_home;
                                            ^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:49:46: Error: Undefined
name '_$pause_play'.
  static const AnimatedIconData pause_play = _$pause_play;
                                             ^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:52:46: Error: Undefined
name '_$play_pause'.
  static const AnimatedIconData play_pause = _$play_pause;
                                             ^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:55:51: Error: Undefined
name '_$search_ellipsis'.
  static const AnimatedIconData search_ellipsis = _$search_ellipsis;
                                                  ^^^^^^^^^^^^^^^^^
../../flutter/packages/flutter/lib/src/material/animated_icons/animated_icons_data.dart:58:45: Error: Undefined
name '_$view_list'.
  static const AnimatedIconData view_list = _$view_list;
                                            ^^^^^^^^^^^
lib/main.dart:58:10: Error: A non-null value must be returned since the return type 'Widget' doesn't allow null.
 - 'Widget' is from 'package:flutter/src/widgets/framework.dart'
 ('../../flutter/packages/flutter/lib/src/widgets/framework.dart').
  Widget build(BuildContext context) {
         ^
../../flutter/.pub-cache/hosted/pub.dartlang.org/provider-5.0.0/lib/src/inherited_provider.dart:391:26: Warning:
Operand of null-aware operation '!' has type 'SchedulerBinding' which excludes null.
 - 'SchedulerBinding' is from 'package:flutter/src/scheduler/binding.dart'
 ('../../flutter/packages/flutter/lib/src/scheduler/binding.dart').
        SchedulerBinding.instance!.addPostFrameCallback((_) {
                         ^
../../flutter/.pub-cache/hosted/pub.dartlang.org/percent_indicator-3.4.0/lib/linear_percent_indicator.dart:156:20:
Warning: Operand of null-aware operation '?.' has type 'WidgetsBinding' which excludes null.
 - 'WidgetsBinding' is from 'package:flutter/src/widgets/binding.dart'
 ('../../flutter/packages/flutter/lib/src/widgets/binding.dart').
    WidgetsBinding.instance?.addPostFrameCallback((_) {
                   ^
Failed to package /Users/gregoryew/flutter_apps/FelineFinder/feline_finder.
Command PhaseScriptExecution failed with a nonzero exit code
note: Using new build system
note: Planning
note: Build preparation complete
note: Building targets in dependency order
/Users/gregoryew/flutter_apps/FelineFinder/feline_finder/ios/Pods/Pods.xcodeproj: warning: The iOS deployment
target 'IPHONEOS_DEPLOYMENT_TARGET' is set to 8.0, but the range of supported deployment target versions is 9.0 to
15.5.99. (in target 'leveldb-library' from project 'Pods')
/Users/gregoryew/flutter_apps/FelineFinder/feline_finder/ios/Pods/Pods.xcodeproj: warning: The iOS deployment
target 'IPHONEOS_DEPLOYMENT_TARGET' is set to 8.0, but the range of supported deployment target versions is 9.0 to
15.5.99. (in target 'OrderedSet' from project 'Pods')
/Users/gregoryew/flutter_apps/FelineFinder/feline_finder/ios/Pods/Pods.xcodeproj: warning: The iOS deployment
target 'IPHONEOS_DEPLOYMENT_TARGET' is set to 8.0, but the range of supported deployment target versions is 9.0 to
15.5.99. (in target 'AppAuth' from project 'Pods')
/Users/gregoryew/flutter_apps/FelineFinder/feline_finder/ios/Pods/Pods.xcodeproj: warning: The iOS deployment
target 'IPHONEOS_DEPLOYMENT_TARGET' is set to 8.0, but the range of supported deployment target versions is 9.0 to
15.5.99. (in target 'GoogleSignIn' from project 'Pods')

Result bundle written to path:
    /var/folders/xp/fl30w5315b33hw_npc3wykb40000gn/T/flutter_tools.vcek1g/flutter_ios_build_temp_dirjbPPUe/temporary_
    xcresult_bundle

** Не удалось собрать предварительно скомпилированное приложение для устройства.

Ошибка запуска приложения на iPhone.

Я попытался удалить .g.dart и запустить все решения, которые я смог найти для подобных проблем, но ничего не работает. Все это, казалось, произошло после того, как я добавил следующее в свой info.plist, но не уверен, связано это или нет.*

<key>LSApplicationQueriesSchemes</key>
<array>
    <string>comgooglemaps</string>
</array>

Также получаю следующее, когда я запускаю флаттер в окне вывода vs кода, но не уверен, связано ли это:

Запуск "flutter pub get" в примере...
Оператор проверки null, используемый для нулевого значения пакет:pub/src/entrypoint.dart 157:60 Entrypoint.lockFilePath пакет:pub/src/entrypoint.dart 100:21 Entrypoint._loadLockFile пакет:pub/src/entrypoint.dart 97:42 Entrypoint.lockFile package:pub/src/entrypoint.dart 286:21 Entrypoint.acquireDependencies. package:pub/src/entrypoint.dart 280:68 Entrypoint.acquireDependencies. пакет:pub/src/log.dart 428:18 прогресс пакет: pub/src/entrypoint.dart 280:26 Entrypoint.acquireDependencies пакет:pub/src/command/get.dart 52:22 GetCommand.runProtected пакет:pub/src/command.dart 183:45 PubCommand.run. пакет:pub/src/command.dart 183:33 PubCommand.run. дротик: асинхронный новый Future.sync пакет:pub/src/utils.dart 109:12 CaptureErrors.wrappedCallback дротик: асинхронный запускZonedGuarded пакет: pub/src/utils.dart 126:5 CaptureErrors пакет:pub/src/command.dart 183:13 PubCommand.run пакет:args/command_runner.dart 209:27 CommandRunner.runCommand пакет:pub/src/command_runner.dart 174:24 PubCommandRunner.runCommand пакет:pub/src/command_runner.dart 159:20 PubCommandRunner.run пакет: dartdev/dartdev.dart 45:56 запуститьDartdev /opt/s/w/ir/cache/builder/sdk/pkg/dartdev/bin/dartdev.dart 11:9 основной Это непредвиденная ошибка. Полный журнал и другие подробности собираются в:

/Users/gregoryew/flutter_apps/flutter/.pub-cache/log/pub_log.txt

Попробуйте создать задачу на https://github.com/dart-lang/pub/issues/новый и прикрепив соответствующие части этого файла журнала. . pub получить не удалось (255; .) код выхода 255

Я довольно новичок во Flutter & Dart. Кто-нибудь знает, что я могу сделать?

Обновлять: Я пытался создать новый проект и скопировать туда все файлы, но это не сработало. Я застрял на том, что я должен сделать, чтобы избавиться от этой ошибки. Кроме того, я открыл вопрос на dart GitHub, но до сих пор не получил ответа.
Gregory Williams 17.05.2022 22:29
Формы c голосовым вводом в React с помощью Speechly
Формы c голосовым вводом в React с помощью Speechly
Пытались ли вы когда-нибудь заполнить веб-форму в области электронной коммерции, которая требует много кликов и выбора? Вас попросят заполнить дату,...
Стилизация и валидация html-формы без использования JavaScript (только HTML/CSS)
Стилизация и валидация html-формы без использования JavaScript (только HTML/CSS)
Будучи разработчиком веб-приложений, легко впасть в заблуждение, считая, что приложение без JavaScript не имеет права на жизнь. Нам становится удобно...
Flatpickr: простой модуль календаря для вашего приложения на React
Flatpickr: простой модуль календаря для вашего приложения на React
Если вы ищете пакет для быстрой интеграции календаря с выбором даты в ваше приложения, то библиотека Flatpickr отлично справится с этой задачей....
В чем разница между Promise и Observable?
В чем разница между Promise и Observable?
Разберитесь в этом вопросе, и вы значительно повысите уровень своей компетенции.
Что такое cURL в PHP? Встроенные функции и пример GET запроса
Что такое cURL в PHP? Встроенные функции и пример GET запроса
Клиент для URL-адресов, cURL, позволяет взаимодействовать с множеством различных серверов по множеству различных протоколов с синтаксисом URL.
Четыре эффективных способа центрирования блочных элементов в CSS
Четыре эффективных способа центрирования блочных элементов в CSS
У каждого из нас бывали случаи, когда нам нужно отцентрировать блочный элемент, но мы не знаем, как это сделать. Даже если мы реализуем какой-то...
0
1
36
1
Перейти к ответу Данный вопрос помечен как решенный

Ответы 1

Ответ принят как подходящий

У меня аналогичная ошибка, и после многих попыток я решил ее следующим образом:

  • Обновите MacOS
  • Обновите инструменты Xcode и командной строки
  • Запустите flutter pub upgrade, flutter pub get в папке проекта
  • Удалить podfile.lock в папке ios проекта
  • Запустите cd ios, pod repo update, pod install в папке проекта

Спасибо, Алегос27!!! У меня тоже только сейчас заработало. Что мне нужно было сделать, так это понизить рейтинг, а затем снова обновить его.

Gregory Williams 18.05.2022 01:45

Другие вопросы по теме